Bug 110898 - bad source code
Summary: bad source code
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: nedit   
(Show other bugs)
Version: 1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-25 12:27 UTC by d.binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 5.3-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-05 13:19:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2003-11-25 12:27:10 UTC
Description of problem:

I just tried to compile package nedit-5_3-5 from Fedora.

The compiler said

1.

windowTitle.c(1106): remark #592: variable "radioHeight" is used 
before its value is set

The source code is

    etDialog.mdirW = XtVaCreateManagedWidget("componentLab",
            xmLabelGadgetClass, selectBox,
            XmNheight, radioHeight,

Suggest init radioHeight before use.


Version-Release number of selected component (if applicable):
nedit-5_3-5 

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Tim Waugh 2003-12-05 13:00:57 UTC
Fixed in CVS, already upstream.


Note You need to log in before you can comment on or make changes to this bug.